pop_front
Prev | Chapter 4. Db_vector | Next

## pop_front

### Function Details

    void pop_front()

Pop out the front element from the vector.

This function supports auto-commit.

### Group: Functions specific to deque and list

These functions come from std::list and std::deque, and have identical behaviors to their counterparts in std::list/stddeque.

http://www.cplusplus.com/reference/stl/deque/pop_front.html http://www.cplusplus.com/reference/stl/deque/push_front.html

### Class

db_vector

Prev | Up | Next
push_front | Home | insert